Subject: Re: bug#64908: 29.1; svg parse failure

From: David Ponce <[email-masked]>
Date: Fri, 4 Aug 2023 09:55:03 +0200

On 04/08/2023 07:23, Eli Zaretskii wrote:
>> Date: Thu, 3 Aug 2023 21:16:35 +0200
>> From: David Ponce <[email-masked]>
>>
>> In case it could help, using emacs from master (see details at end
>> below), with librsvg2-2.56.0-1.fc38.x86_64 I can insert-image
>> dir-src-open.svg and dir-public-open.svg in the *scratch-buffer*
>> without issue (see Screenshot1).
>>
>> However, the same failed using librsvg2-2.56.3-1.fc38.x86_64 (see
>> Screenshot2).
>>
>> I did test also with some KDE breeze icons.
>>
>> No issue with librsvg2-2.56.0-1.fc38.x86_64.
>>
>> With librsvg2-2.56.3-1.fc38.x86_64 some icons works, some not (see an
>> example in Screenshot3):
>>
>> /usr/share/icons/breeze/actions/22/go-next.svg doesn't work:
>>
[...]
>>
>> /usr/share/icons/breeze/actions/22/go-next.svg works:
>>
[...]
>>
>> As far as I can see, other applications (Gwenview, Geeqie, Firefox) don't have
>> problem to display the same images with librsvg2-2.56.3-1.fc38.x86_64 installed.
> 
> Thanks, this helps.
> 
> When an image fails to display, do you see any error messages from
> librsvg?  Those are usually emitted to stderr, so perhaps you need to
> run Emacs in a way that stderr is not discarded, but either shown on
> the terminal or written to a file.

Hello ELi,

I don't see any message on stderr, but a bunch of messages:
"Invalid image size (see ‘max-image-size’)" in the *Messages* buffer,
probably related to the display of an invalid image (empty square)
in the *scratch* buffer. Also, the result of image-size is not the
expected image size (22x22 px in example). I attached a screenshot.

Thanks